package com.realnet.stringmanipulation.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.stringmanipulation.Entity.Stringmanipulation;
import com.realnet.stringmanipulation.Services.StringmanipulationService ;






@RequestMapping(value = "/token/Stringmanipulation")
 @CrossOrigin("*") 
@RestController
public class tokenFree_StringmanipulationController {
	@Autowired
	private StringmanipulationService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Stringmanipulation")
		  public Stringmanipulation Savedata(@RequestBody Stringmanipulation data) {
		Stringmanipulation save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Stringmanipulation/{id}")
	public  Stringmanipulation update(@RequestBody Stringmanipulation data,@PathVariable Integer id ) {
		Stringmanipulation update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Stringmanipulation/getall/page")
	public Page<Stringmanipulation> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Stringmanipulation> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Stringmanipulation")
	public List<Stringmanipulation> getdetails() {
		 List<Stringmanipulation> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Stringmanipulation")
	public List<Stringmanipulation> getallwioutsec() {
		 List<Stringmanipulation> get = Service.getdetails();		
		return get;
}
@GetMapping("/Stringmanipulation/{id}")
	public  Stringmanipulation  getdetailsbyId(@PathVariable Integer id ) {
		Stringmanipulation  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Stringmanipulation/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}